ressource.socialbetadocumentation
API referenceNotifications

The caller's notifications, newest first

Cursor-paginated. Filters: `is_read`, `type`, `organization_id`. A type the caller muted in the app (`in_app_enabled: false`) is not listed. Archived notifications are not listed.

GET
/api/v1/notifications

Sends a real request with your token. Prefer a read-only token; it is kept in this browser's storage.

Cursor-paginated. Filters: is_read, type, organization_id. A type the caller muted in the app (in_app_enabled: false) is not listed. Archived notifications are not listed.

Authorization

headerAuthorizationBearer <token>

A personal access token (rsk_…) or a Supabase access token.

Query Parameters

cursor?string
limit?number
is_read?string
type?string
Value in"user_mentioned""bookmark_commented""bookmark_reacted""comment_replied""organization_invited""welcome""announcement""context_request_received""context_request_fulfilled""bookmark_resaved""event_invited""event_rsvp""join_request_received""join_request_approved""invitation_accepted"
organization_id?string
Match^[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$

Response Body

A page of notifications

application/json
  1. response
items*array<>
nextCursor*string|null
hasMore*boolean
curl -X GET 'https://www.ressource.social/api/v1/notifications'
{  "items": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "notification_type": "user_mentioned",      "entity_type": "string",      "entity_id": "8161163a-f227-466f-bc01-090a01e80165",      "organization_id": "7c60d51f-b44e-4682-87d6-449835ea4de6",      "actor_id": "04f37679-bfbf-4906-b749-01756515cecf",      "notification_data": null,      "is_read": true,      "read_at": "string",      "archived_at": "string",      "created_at": "string",      "actor": {        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",        "username": "string",        "full_name": "string",        "avatar_url": "string"      }    }  ],  "nextCursor": "string",  "hasMore": true}